#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCB,0x74,0x3D,0xA4,0xED,0xCB,0x83,0x8C,0x75,0xD9,0x86,0xEE,
		0xA2,0xB6,0xB3,0x69,0xCD,0x2B,0x4C,0x7A,0x4E,0xC0,0x99,0x8C,
		0xEF,0xD0,0x91,0xBC,0x2C,0x6A,0xE5,0xDC,0x02,0xBC,0xD4,0x85,
		0x4F,0xC0,0x80,0x38,0xD6,0x42,0x77,0xB6,0x4E,0x50,0x1A,0xB7,
		0x21,0x22,0xFE,0xEA,0xE3,0x9E,0xAE,0xB0,0x83,0x3F,0x22,0xF6,
		0x5B,0xA2,0xB8,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
